Title: Et vous, vous proposez quoi ?
Date: 2020-05-07
Category: blog
Tags: article
Slug: etvous
Authors: theo

 _Pour un peu de contexte, le gouvernement français est en train d’étudier la possible mise en place de l’application StopCovid, un application de tracking de contacts sans géolocalisation pour le Covid19, similaire à ce qui a déjà été mis en place à Singapour ou en Corée. [Cette vidéo](https://youtu.be/AAt8KMXtApU) explique de manière simple et concise son fonctionnement technique (avec une attention particulière sur l’aspect « privacy by design »), comme [cette BD traduite par Framalang](https://framablog.org/2020/04/12/une-appli-de-tracage-du-covid-9-qui-echappe-a-big-brother/). De l’autre côté du tableau, la Quadrature du Net a [émis des critiques]([https://www.laquadrature.net/2020/04/14/nos-arguments-pour-rejeter-stopcovid/ ](https://www.laquadrature.net/2020/04/14/nos-arguments-pour-rejeter-stopcovid/ )) sur cette application, comme de nombreuses structures critiques des avancées du gouvernement à ce niveau._

​    Un argument qui m’a marqué, notamment sur [ce fil twitter](https://twitter.com/LoupRouge/status/1250416624126943235) a été le suivant : « Mais vous, que proposez-vous de mieux ? ». En effet, c’est bien beau de faire la critique de cette application, et les arguments quant à son inefficacité réelle sont recevables sans trop tergiverser. Pour autant, est-il pertinent de lui faire barrage alors qu’aucune autre solution n’a été avancée facilitant la traçabilité des contacts ?

​    Tout d’abord, je trouve assez injuste le reproche fait à l’association Framasoft sur ce fil Twitter de ne pas proposer autre chose. On ne reviendra pas (ou pas longtemps) sur l’argument très courant qui dit : « Vous ne faites que critiquer, vous ne proposez jamais de solution », il est irrecevable. Un système étant incapable de faire sa propre critique, et le pire argument de la droite étant celui d’être le « seul régime politique sérieux», la critique profonde et systématique des décisions et nécessaire, et elle est d’autant plus pertinente dans ce cas quand elle provient de structures compétentes quand on aborde les sujets du numérique. 

## Pourquoi s'y opposer ? 

​    Mais dans ce cas précis, dans une situation de crise, est-il effectivement pertinent de s’opposer à une telle application alors même que, si son efficacité est toute théorique, elle a le mérite de s’attaquer à un sujet si crucial ? On peut aussi saluer le travail apporté sur le protocole même de l’application, qui repose sur l’anonymat total des utilisateurs jusque dans ses fondements. Il faut l’admettre : cette application est bien pensée. 

​	Le problème est réellement celui de l’arbre qui cache la forêt, et de l'impunité de l'Etat. Des voix provenant du personnel soignant se sont déjà élevées pour contrer l’épithète de « héros » qui leur était apposé, tous les soirs à 20h, aux fenêtres des grandes villes de France. En effet, en saluant le personnel soignant comme des héros faisant preuve des plus grands sacrifices, l’État dissimule le réel problème : que les hôpitaux étaient mal pourvus, et cela pour une raison bien identifiée qui est la casse systématique des services publics en général et du système hospitalier en particulier, qui a lieu depuis des décennies. Oui, le personnel soignant a fait preuve de courage et d’abnégation en travaillant dans de telles conditions d’exposition, et il va sans dire que les morts auraient été innombrables sans cela. Mais il convient de rappeler que si des lits avaient été créés plutôt que supprimés, si les logiques managériales avaient épargné les hôpitaux, si l’industrie nationale critique n’avait pas été [abandonné par l’Etat](https://www.bastamag.net/production-masques-FFP2-strategie-industrielle-usine-Plaintel-plan-social), les vies sauvées auraient été bien plus nombreuses. 

​    Dans ce contexte, comment recevoir un gadget technologique, présenté par certains comme la panacée [malgré des retours d’expérience déjà mitigés](https://blog.gds-gov.tech/automated-contact-tracing-is-not-a-coronavirus-panacea-57fb3ce61d98) ? Il est clair que ce que le gouvernement essaye d’accomplir par de tels mouvements de manche est d’apparaître compétent, rassurant, _agissant_ dans un contexte où le peuple perd confiance en lui. Et il serait si facile, une fois l’application largement déployée, si l’on constate que la propagation du virus ne freine pas, d’accuser la portion de la population réfractaire à cette technologie de manque de civisme affectant la population entière. Ces nouveaux morts auraient pu être évités si on avait simplement accepté d’installer une pauvre appli, si on avait arrêté deux minutes de jouer les irréductibles gaulois qui savent mieux que tout le monde. Mais on le rappelle, si ces morts ont lieu, c’est avant tout dû au manque de masques, de kits de tests, de gel, de lits, de respirateurs, de fond pour les hôpitaux et la recherche…

​    Et si le nombre de morts diminue effectivement, à quoi cela sera-t-il bon ? Si l’on constate qu’après l’installation d’une application on arrive (du moins en apparence) à maîtriser une épidémie, qui sera mis en cause ? Le système de santé à nouveau, si gourmand, si coûteux, et tellement moins moderne et disruptif qu’une application bardée d’algorithmes et de protocoles novateurs. Après tout, pourquoi faire payer de telles institutions au contribuable alors que la prochaine fois il suffira de pondre une application ad-hoc et de la jeter en pâture au peuple paniqué ?

## Et si ça marchait quand même ? 

​    Dernière question : est-ce que la critique serait la même si son efficacité était réelle et prouvée ? Imaginons une seconde, et c'est bien là un effort d'imagination : Singapour a déployé massivement son application TraceTogether, et en dépit d’un système de santé saturé, on observe que le système a un score presque parfait de vrai sur faux positifs, qu’il a permis un confinement chirurgical, tout en étant moins coûteux que des entretiens systématiques ou des tests massifs de la population.

​    Premièrement, cela ne répond pas à une autre critique avancée par la Quadrature du Net sur l’habituation des citoyens aux mesures de surveillances intrusives. Cette application resta une nouvelle mesure technologique visant à automatiser le traitement de données de santé, qui viendra empiéter un espace très intime : nos propres téléphones portables. L’application est « privacy by design », très bien. Elle reste une porte d'entrée vers de la surveillance plus massive, moins subtile, moins soucieuse de la vie privée. C'est l'argument du pied dans la porte.

​    Deuxièmement, ce qui est critiqué n'est pas la décision de l'Etat de pousser un outil qui n'est **sans doute pas utile**, mais la **non-intervention de la question même de l'utilité dans le processus de décision**. La technologie, et en particulier sous ses traits numériques, high-tech et lissés, compréhensible par si peu et tellement insaisissable, est devenu un objet sacré, très comparable (et je cite là un membre de Framasoft) au recours à la prière au Moyen-Âge. Qu'on soit clair : _il n'y a pas plus de raison de croire qu'une application de tracking de virus améliorera la situation sanitaire actuelle que les religieux n'avaient de raison de croire que la miséricorde divine les sauveraient de la peste noire au 15ème siècle_ , n'en déplaise à [Cedric O](https://medium.com/@cedric.o/stopcovid-ou-encore-b5794d99bb12) (sécrétaire d'état au numérique).

Et pourtant, les gouvernants continuent à pousser leurs outils. Pourquoi ces gadgets continuent-ils à s'insérer toujours plus dans nos vies, en dépit de leur effet négatif prouvé sur les inégalités face aux services publiques, sur la marchandisation et la comptabilisation de ce même secteur, sur la vie privée et les données personnelles, et tant d'autres choses encore ? Parce qu'il se barde des couleurs de la modernité et du progrès, pas le progrès social, mais le progrès technologique qui s'auto-suffit et s'auto-alimente. 

## Rejettons en bloc

Rien ne bon ne peut sortir de cette application, que ce soit sur le plan sanitaire, sécuritaire ou social. Rien de plus en réalité que de jeter un marché de plus à une industrie qui a encore et encore prouvé son opposition aux valeurs d'égalité, de solidarité et de justice sociale. Il faut continuer à lutter contre de telles décisions, et ne pas se laisser âpper par les sirènes du miracle technologique. 

